%define upstream_name    Text-Xslate
%define upstream_version 3.3.9

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    The same as Kolon but using [% ... %] tags
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::MessagePack) >= 0.380.0
BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.180.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl-devel
%description
*Xslate* is a template engine, tuned for persistent applications, safe as
an HTML generator, and with rich features.

There are a lot of template engines in CPAN, for example Template-Toolkit,
Text::MicroTemplate, HTML::Template, and so on, but all of them have
demerits at some points. This is why Xslate is developed and now it is
well-honed as the standard template engine for web applications.

The concept of Xslate is strongly influenced by Text::MicroTemplate and
Template-Toolkit 2, but the central philosophy of Xslate is different from
them. That is, the philosophy is *sandboxing* that the template logic
should not have no access outside the template beyond your permission.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes HACKING META.yml MYMETA.yml example
%{_mandir}
%{perl_vendorlib}/*
%{_bindir}/xslate

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 3.3.9-3pclos2017
- rebuild against updates

